/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Jabber
 *  Copyright (C) 1998-1999 The Jabber Team http://jabber.org/
 */

#include "etherx.h"

extern ehandler etherxd__connections;
extern ehandler etherxd__transports;
extern char *etherx__host;
extern char *etherx__secret;

void etherxd_netin_onNode(thread t, xmlnode in, int type);
void etherxd_netin_cleanup(void *arg);

void etherxd_netout_onNode(thread t, xmlnode in, int type);
void etherxd_netout_write(thread t, epacket e);
void etherxd_netout_cleanup(void *arg);
void etherxd_netout_error(thread t, tstream_buffer buffer);
ehandler etherxd_netout_connect(char *host, char *namespace);

void etherxd_deliver(ehandler eh, epacket ep);

void etherxd_transport_onNode(thread t, xmlnode in, int type); /* from socket transports */
void etherxd_transport_cleanup(void *arg);

void etherxs_connect(ehandler eh);

void ehandler_connect(ehandler eh);